#define HEADER 1  /* to indicate that we're inside of a header file */

/**************************************************************************

    This file is part of 'tfc for windows', a character-mode graphical
	side-by-side file compare utility.

    Copyright (c) 1996 - 2000 by Daniel Schroeder (tadzio@tadzio.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation (see gpl.txt in this package); 
	either version 2 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License (gpl.txt) for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

***************************************************************************/


/**************************************************************************
***************************************************************************

 MODULE      io.h

 PROJECT     TFC for Win32

 COMPILER    Microsoft Visual C++

 DATE        22.6.97

 AUTHOR      D. Schrder

 ABSTRACT    Datei-Ein-/Ausgaberoutinen

 HISTORY     22.6.97 Portierung auf MS VC++ 5.0

***************************************************************************
**************************************************************************/



/* GLOBAL DEFINES ********************************************************/
#ifdef HEADER



/* GLOBAL CONSTANTS **********************************************************/

#endif

/* GLOBAL VARIABLES **********************************************************/


/* GLOBAL FUNCTIONS **********************************************************/

/* FUNCTION **************************************************************/

  void makeFilenames(PUCHAR file0, PUCHAR file1, int argc, char *argv[]);

/*-------------------------------------------------------------------------
SPECIFICATION:   Analysiert die in argc, argv bergebene Kommandozeile und
                 versucht, daraus mindestens einen Dateinamen zu machen.
                 Gelingt dies, ist aber kein zweiter Dateiname angegeben,
                 wird dieser durch ein paar intelligente Vermutungen
                 erzeugt: ist als zweites nur ein Verzeichnis angegeben,
                 wird der erste Dateiname angehngt. Ist gar keine zweite
                 Angabe vorhanden, wird der erste Dateiname mit einer nach
                 .BAK genderten Extension angenommen. Enthlt der zweite
                 Dateiname als erstes oder letztes Zeichen einen '*', dann
                 wird dieser Teil durch den entsprechenden Teil des ersten
                 Dateinamens ersetzt.

Parameters:      file0, file1: Platz fr die beiden zu findenden Dateinamen.
                   Die beiden Felder mssen mindestens _MAX_PATH Zeichen lang
                   und mit "" vorbelegt sein.

                 argc: Anzahl der Elemente in argv
                 argv: Feld der Kommandozeilenparameter, wie es vom Betriebs-
                       system kommt.

Side Effects:    zu Testzwecken knnen Dateien geffnet werden. Sie werden
                 allerdings sofort wieder unverndert geschlossen!
                 Die erzeugten Dateinamen werden in file0 und file1 abgelegt.

Return Value:    keiner

-------------------------------------------------------------------------*/


/* FUNCTION **************************************************************/

PUCHAR loadFile(PUCHAR filename, PUINT pFilelength);

/*-------------------------------------------------------------------------
SPECIFICATION:  Ldt die ber filename angegebene Datei in den Arbeits-
                speicher. 'filename' wird nicht weiter interpretiert. Die
                Funktion belegt den ntigen Speicher (entspricht der Datei-
                lnge von 'filename') dynamisch. Der Aufrufer ist dafr ver-
                antwortlich, da er wieder freigegeben wird.
                Die Datei wird im Binrmodus geffnet, gelesen und wieder
                geschlossen.

Parameters:     filename:    Name der zu ladenden Datei
                pFilelength: Zeiger auf Variable, in der die Funktion die
                  Lnge der eingelesenen Datei zurckgibt.

Side Effects:   Zugriff auf Massenspeicher; Hauptspeicher wird belegt.

Return Value:   Zeiger auf das Abbild der Datei im Speicher; im Fehlerfall
                (Datei nicht gefunden, kein dynamischer Speicher) wird
                NULL zurckgegeben und kein Hauptspeicher belegt.

                In pFilelength wird die Lnge der eingelesenen Datei zurck-
                gegeben.

-------------------------------------------------------------------------*/



#undef HEADER  /* header file ends here */
