#define HEADER 1  /* to indicate that we're inside of a header file */

/**************************************************************************

    This file is part of 'tfc for windows', a character-mode graphical
	side-by-side file compare utility.

    Copyright (c) 1996 - 2000 by Daniel Schroeder (tadzio@tadzio.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation (see gpl.txt in this package); 
	either version 2 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License (gpl.txt) for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA

***************************************************************************/


/**************************************************************************
***************************************************************************

 MODULE      option.h

 PROJECT     tfc

 COMPILER    Microsoft Visual C++ 5.0

 DATE        21.6.97

 AUTHOR      D. Schrder

 ABSTRACT    Parser fr Kommandozeilenoptionen

 HISTORY     22.8.96 19:36 erste Version
             20.07.97 13:36:01 Windows-compilierfhige Version

***************************************************************************
**************************************************************************/



/* GLOBAL DEFINES ********************************************************/



/* GLOBAL CONSTANTS **********************************************************/

#ifdef HEADER
extern struct _tfc_options {
  UINT batchmode;
  UINT caseInsensitive;
  UINT tab;
  UINT horizontal;
  UINT compressline;
  UINT noline;
  UINT sync;
  UINT compresspace;
  UINT linecount;
  UINT binmode;
  UINT diffmode;
  UINT ztree;
  UINT bad;
  UINT oem;
  UINT WindowHeight;
  };

#endif

/* GLOBAL VARIABLES **********************************************************/

extern struct _tfc_options options;


/* GLOBAL FUNCTIONS **********************************************************/

/* FUNCTION **************************************************************/

void parseCommandlineOptions(int argc, char *argv[]);

/*-------------------------------------------------------------------------
SPECIFICATION:  Analysiert die bergebene Kommandozeile und trgt das Ergebnis
                in die globale Variable options ein. options ist eine
                (projektspezifische) Struktur, die fr alle mglichen
                Kommandozeilenoptionen einen Eintrag enthlt.
                Die Optionen selbst werden *nicht* weiter ausgewertet.
                So wird z.B. bei '-?' keine erweiterte Hilfe angezeigt -
                das bleibt dem Aufrufer berlassen. Einzig bei ungltigen
                Optionen wird ein entsprechender Fehlertext angezeigt.

                Nach Ende der Funktion sind alle Felder in 'options' mit
                gltigen Werten vorbelegt!


Parameters:     argc, argv: die Kommandozeile, wie sie der Lader an main()
                  bergeben hat.

Side Effects:   Schreiben auf globale Variable 'options'

Return Value:   keine

-------------------------------------------------------------------------*/



#undef HEADER  /* header file ends here */
