/**************************************************************************
***************************************************************************

 MODULE      HELP.C

 PROJECT     TFC for Windows

 COMPILER    Microsoft Visual C++ 5.0

 DATE        21.6.97

 AUTHOR      D. Schrder

 ABSTRACT    Ausgabe von Hilfetexten und Fehlermeldungen.

 HISTORY     21.6.97 19:00 Portierung auf Win32
             22.8.96 21:00 erste Version

***************************************************************************
**************************************************************************/

/* INCLUDE FILES *********************************************************/

/* IMPORT */
#include <windows.h>
#include <stdlib.h>
#include <stdio.h>
#include "main.h"                 // fr TFC_VERSION
#include "keyboard.h"
#include "window.h"

/* EXPORT */
#include "help.h"

/* GLOBAL DEFINES ***********************************************************/

/* GLOBAL VARIABLES ******************************************************/

/* GLOBAL CONSTANTS ******************************************************/

/* LOCAL DEFINES *********************************************************/

/* LOCAL VARIABLES *******************************************************/

const char *BasicPage =
         "\n"
         "             Tadzio's File Compare " TFC_VERSION "\n"
         "             =========================          (c) 96-97 Daniel Schroeder\n"
         "\n"
         "  command line usage: TFC  [-options]  file1  [file2, or a different path]\n"
         "\n"
         "  options:   b   batch mode; no display, no user input\n"
         "             c   case insensitive compare\n"
         "             e   suppress empty lines\n"
         "             w   compress white space\n"
         "             s   sync scan +500 lines\n"
         "             #   matching line count (1...9)   (default is 4)\n"
         "\n"
         "\n"
         " 'file1' is the first file to compare. If 'file2' is omitted, 'file1' with its\n"
         "  extension changed to .bak will be used. If 'file2' specifies a directory,\n"
         " 'file1' (without the path portion) will be appended.\n"
         "\n"
         "  In batch mode, TFC returns immediately with the following errorlevels:\n"
         "    0: files are identical    1: files are not identical\n"
         "    2: file not found         3: out of memory\n"
         "\n";

const char *XPages[] = {
     // -------------------------- Page 1 -------------------------------
         "  KEY    DESCRIPTION (interactive usage)\n"
         "  ---    -------------------------------\n"
         "  ESC/ENTER/Q  exit with errorlevel 0\n"
         "  ARROWS scroll up, down, left, right, etc\n"
         "  SPACE  scroll down to next difference\n"
         "  +      scroll down to next difference\n"
         "  -      scroll up to previous difference\n"
         "  C      case sensitivity on/off\n"
         "  E      toggle suppression of empty lines\n"
         "  H      toggle vertical/horizontal split screen\n"
         "  L      toggle line numbers on/off\n"
         "  T      tall screen toggle\n"
         "  W      white space compression on/off\n"
         "  0..9   set tab width to 0..9 blanks (default: 4)\n"
         "\n"
         "\n"
         "\n"
         "\n",

     // -------------------------- Last Page ----------------------------
         NULL
  };

/* LOCAL CONSTANTS *******************************************************/

/* LOCAL FUNCTIONS *******************************************************/

/* GLOBAL FUNCTIONS *******************************************************/

/* FUNCTION **************************************************************/

    void printHelp(void)

/*-------------------------------------------------------------------------
SPECIFICATION:  zeigt einen Hilfetext an, falls das Programm ohne oder
                mit falschen Parametern aufgerufen wurde. Der Text wird
                ohne Farbattribute oder Cursorpositionierungen (also quasi
                als TTY) ausgegeben

PARAMETERS:     keine

SIDE EFFECTS:   Ausgabe eines Hilfetextes auf den Bildschirm (stdout)

RETURN VALUES:  keine

-------------------------------------------------------------------------*/
{
  tprintf(BasicPage);
  return;
}

/* FUNCTION **************************************************************/

    void printxHelp(USHORT rows)

/*-------------------------------------------------------------------------
SPECIFICATION:  zeigt einen erweiterten Hilfetext an. Dabei werden Farb-
                attribute und Cursorpositionierung verwendet.

                Sollte aufgerufen werden, wenn der Benutzer F1 drckt.

PARAMETERS:     rows: Seitenlaenge in Bildschirmzeilen

SIDE EFFECTS:   Ausgabe eines Hilfetextes auf den Bildschirm (stdout)

RETURN VALUES:  keine

-------------------------------------------------------------------------*/
{
  UCHAR buffer[16];
  int page = 0;

  while(TRUE)
    {
// ???    cls();

    sprintf(buffer, "Page %i", page);

// ???   VioWrtCharStrAtt(buffer, strlen(buffer), 0, 2, colortable[1], 0);              // Header
// ???   VioWrtCharStrAtt(XPages[page], strlen(XPages[page]), 2, 0, colortable[2], 0);  // Text
// ???   VioWrtCharStrAtt(FOOTER, strlen(FOOTER), rows-2, 0, colortable[1], 0);         // Footer

    // Taste holen und auswerten
    switch(getKey())
      {
      case PAGEUP:
      case PAGEUP2:
      case UP:
      case UP2:
      case LEFT:
        if(page > 0) page--;
        break;

      case HOME:
      case HOME2:
        page = 0;
        break;

      case PAGEDOWN:
      case PAGEDOWN2:
      case DOWN:
      // ??? case DOWN22:
      case RIGHT:
      case ENTER:
        if(XPages[page+1] != NULL) page++;
        break;

      case ESC:
        return;
        break;
      }
    }

  return;
}

